Skip to content

Update Cluster Autoscaling

PATCH
/clusters/{cluster_id}/autoscaling
curl --request PATCH \
--url https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/autoscaling \
--header 'Content-Type: application/json' \
--data '{ "autoscaling_enabled": true, "min_nodes": 1, "max_nodes": 1 }'

Update autoscaling configuration for a cluster.

This endpoint allows enabling/disabling autoscaling and adjusting min/max node counts. Changes take effect on the next scaling event.

Note: For vClusters (shared tier), autoscaling is managed at the host cluster level, not per-vCluster.

cluster_id
required
Cluster Id
string format: uuid
Media type application/json
AutoscalingUpdate

Schema for updating cluster autoscaling configuration.

object
autoscaling_enabled
required
Autoscaling Enabled
boolean
min_nodes
required
Min Nodes
integer
>= 1 <= 100
max_nodes
required
Max Nodes
integer
>= 1 <= 100
Example generated
{
"autoscaling_enabled": true,
"min_nodes": 1,
"max_nodes": 1
}

Successful Response

Media type application/json
ClusterResponse
object
id
required
Id
string format: uuid
name
required
Name
string
provider
required
Provider
string
region
required
Region
string
tier
required
ClusterTier
string
Allowed values: shared testing production
status
required
ClusterStatus
string
Allowed values: pending provisioning importing running upgrading error deleting
kubernetes_version
Any of:
string
server_type
Any of:
string
argocd_url
Any of:
string
git_repo_url
Any of:
string
error_message
Any of:
string
status_message
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
provisioning_started_at
Any of:
string format: date-time
provisioning_completed_at
Any of:
string format: date-time
autoscaling_enabled
Autoscaling Enabled
boolean
min_nodes
Any of:
integer
max_nodes
Any of:
integer
target_kubernetes_version
Any of:
string
upgrade_available
Upgrade Available
boolean
upgrade_available_version
Any of:
string
scheduled_upgrade_date
Any of:
string format: date-time
scheduled_upgrade_id
Any of:
string format: uuid
component_bundle_version
Component Bundle Version
string
default: latest
multi_region
Multi Region
boolean
region_locations
Any of:
Array<string>
is_byoc
Is Byoc
boolean
cloud_credential_id
Any of:
string format: uuid
is_imported
Is Imported
boolean
is_autopilot
Is Autopilot
boolean
display_order
Any of:
integer
Example
{
"tier": "shared",
"status": "pending",
"autoscaling_enabled": false,
"upgrade_available": false,
"component_bundle_version": "latest",
"multi_region": false,
"is_byoc": false,
"is_imported": false,
"is_autopilot": false
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}